Bug 1003133 - [abrt] ibus-libpinyin-1.6.91-2.fc19: g_assertion_message: Process /usr/libexec/ibus-engine-libpinyin was killed by signal 6 (SIGABRT)
[abrt] ibus-libpinyin-1.6.91-2.fc19: g_assertion_message: Process /usr/libexe...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
abrt_hash:10f30e80a015138d7d3b47f37b7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 20:07 EDT by Yang Lifu
Modified: 2013-09-16 23:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 23:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.98 KB, text/plain)
2013-08-30 20:07 EDT, Yang Lifu
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-30 20:07 EDT, Yang Lifu
no flags Details
File: core_backtrace (9.70 KB, text/plain)
2013-08-30 20:07 EDT, Yang Lifu
no flags Details
File: dso_list (3.27 KB, text/plain)
2013-08-30 20:07 EDT, Yang Lifu
no flags Details
File: environ (953 bytes, text/plain)
2013-08-30 20:07 EDT, Yang Lifu
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-30 20:07 EDT, Yang Lifu
no flags Details
File: maps (14.93 KB, text/plain)
2013-08-30 20:07 EDT, Yang Lifu
no flags Details
File: open_fds (859 bytes, text/plain)
2013-08-30 20:07 EDT, Yang Lifu
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-08-30 20:07 EDT, Yang Lifu
no flags Details

  None (edit)
Description Yang Lifu 2013-08-30 20:07:00 EDT
Version-Release number of selected component:
ibus-libpinyin-1.6.91-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: g_assertion_message
executable:     /usr/libexec/ibus-engine-libpinyin
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Aug 31 08:05:03 localhost abrt[24379]: Saved core dump of pid 1480 (/usr/libexec/ibus-engine-libpinyin) to /var/tmp/abrt/ccpp-2013-08-31-08:05:02-1480 (18501632 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_assertion_message at /lib64/libglib-2.0.so.0
 #3 g_assertion_message_expr at /lib64/libglib-2.0.so.0
 #4 PY::PunctEditor::moveCursorToBegin at PYPunctEditor.cc:318
 #5 PY::PunctEditor::processKeyEvent at PYPunctEditor.cc:191
 #6 PY::LibPinyinPinyinEngine::processKeyEvent at PYPPinyinEngine.cc:183
 #7 _ibus_marshal_BOOLEAN__UINT_UINT_UINT at ibusmarshalers.c:290
 #8 g_closure_invoke at /lib64/libgobject-2.0.so.0
 #9 signal_emit_unlocked_R at /lib64/libgobject-2.0.so.0
 #10 g_signal_emit_valist at /lib64/libgobject-2.0.so.0
 #11 g_signal_emit at /lib64/libgobject-2.0.so.0
Comment 1 Yang Lifu 2013-08-30 20:07:06 EDT
Created attachment 792330 [details]
File: backtrace
Comment 2 Yang Lifu 2013-08-30 20:07:10 EDT
Created attachment 792331 [details]
File: cgroup
Comment 3 Yang Lifu 2013-08-30 20:07:15 EDT
Created attachment 792332 [details]
File: core_backtrace
Comment 4 Yang Lifu 2013-08-30 20:07:19 EDT
Created attachment 792333 [details]
File: dso_list
Comment 5 Yang Lifu 2013-08-30 20:07:22 EDT
Created attachment 792334 [details]
File: environ
Comment 6 Yang Lifu 2013-08-30 20:07:26 EDT
Created attachment 792335 [details]
File: limits
Comment 7 Yang Lifu 2013-08-30 20:07:30 EDT
Created attachment 792336 [details]
File: maps
Comment 8 Yang Lifu 2013-08-30 20:07:33 EDT
Created attachment 792337 [details]
File: open_fds
Comment 9 Yang Lifu 2013-08-30 20:07:37 EDT
Created attachment 792338 [details]
File: proc_pid_status
Comment 10 Peng Wu 2013-09-02 01:27:15 EDT
Could you provide what are you inputting?
I need to re-produce this bug first.
Comment 11 Yang Lifu 2013-09-02 02:07:51 EDT
Well, I was cleaning the keyboard with a cloth when ibus-libpinyin crashed.
Comment 12 Peng Wu 2013-09-15 22:45:50 EDT
Guess okay to close this bug, if it occurs rarely?
Comment 13 Yang Lifu 2013-09-16 06:43:30 EDT
I suppose so.
Comment 14 Peng Wu 2013-09-16 23:16:50 EDT
Close bug, if this bug occurs again, feel free to report it, thanks.

Note You need to log in before you can comment on or make changes to this bug.